%define srcname Pyro4

Name:           python-pyro4
Version:        4.23
Release:        %mkrel 6
Summary:        PYthon Remote Objects
License:        MIT
Group:          Development/Python
Url:            https://pypi.python.org/pypi/Pyro4
Source:         http://pypi.python.org/pypi/Pyro4/Pyro4-%{version}.tar.gz
Obsoletes:      python-pyro
BuildRequires:  python-sphinx
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-devel

%description
Pyro provides an object-oriented form of RPC. You can use Pyro within a
single system but also use it for IPC. For those that are familiar with
Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
similar to CORBA - which is a system- and language independent Distributed
Object Technology and has much more to offer than Pyro or RMI.

Pyro4 is a reimplementation of the original pyro, that was begun in 2010.
According to upstream, pyro4 can now be considered the new ‘main’ Pyro
version. Since it is not API compatible to pyro-3.x, the package was renamed
to Pyro4

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install --root=%{buildroot}

%files
%doc build/sphinx/* README.txt
%{py_puresitedir}/Pyro4
%{py_puresitedir}/Pyro4-%{version}-py%{pyver}.egg-info



%changelog
* Thu Feb 04 2016 umeabot <umeabot> 4.23-6.mga6
+ Revision: 936149
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.23-5.mga5
+ Revision: 749091
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.23-4.mga5
+ Revision: 729543
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.23-3.mga5
+ Revision: 688275
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Feb 08 2014 guillomovitch <guillomovitch> 4.23-1.mga5
+ Revision: 585860
- new version

* Tue Oct 22 2013 umeabot <umeabot> 4.21-3.mga4
+ Revision: 544005
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.21-2.mga4
+ Revision: 499269
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 guillomovitch <guillomovitch> 4.21-1.mga4
+ Revision: 467883
- new version
- obsoletes python-pyro (duplicated package)

* Sun Jan 13 2013 umeabot <umeabot> 4.14-2.mga3
+ Revision: 379415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 4.14-1.mga3
+ Revision: 261698
- imported package python-pyro4

